﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using System.Windows.Data;
using System.Linq;
using System.Collections.Generic;

namespace _2010_12_02_XamGridComboEditor
{

    public class CountyHelper
    {
        static CountiesTest _list = new CountiesTest();


        static public IEnumerable<CountyTest> GetCountiesByStateId(int id)
        {
            var countiesByState =
           from county in _list
           where county.Cnt_St_Id == (int)id
           select county;
            return countiesByState;
        }

    }




    public class CountiesTest : ObservableCollection<CountyTest>
    {
        public CountiesTest()
        {
            base.Add(new CountyTest(1, 1, "Austin"));
            base.Add(new CountyTest(2, 1, "Baylor"));
            base.Add(new CountyTest(3, 1, "Pecos"));
            base.Add(new CountyTest(4, 1, "Tyler"));
            base.Add(new CountyTest(5, 2, "King"));
            base.Add(new CountyTest(6, 2, "Peirce"));
            base.Add(new CountyTest(7, 3, "Cherokee"));
            base.Add(new CountyTest(8, 3, "Grant"));
        }
    }

    public class CountyTest
    {
        int _cnt_Id;
        int _cnt_St_Id;
        string _cnt_Name;

        public CountyTest(int cnt_Id, int cnt_St_Id, string cnt_Name)
        {
            _cnt_Id = cnt_Id;
            _cnt_St_Id = cnt_St_Id;
            _cnt_Name = cnt_Name;
        }

        public int Cnt_Id
        {
            get { return _cnt_Id; }
            set { _cnt_Id = value; }
        }

        public int Cnt_St_Id
        {
            get { return _cnt_St_Id; }
            set { _cnt_St_Id = value; }
        }

        public string Cnt_Name
        {
            get { return _cnt_Name; }
            set { _cnt_Name = value; }
        }

    }




    public class CountyComboBindingConverter : IValueConverter
    {

        #region IValueConverter Members
        private ObservableCollection<CountyTest> Counties;
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            int inVal = (int)value;
            Counties = (ObservableCollection<CountyTest>)parameter;
            return GetCountyTestByID(inVal).Cnt_Name;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }

        private CountyTest GetCountyTestByID(int id)
        {
            return Counties.FirstOrDefault(b => b.Cnt_Id == id);

        }

        #endregion
    }



}
